import json

def generate_equation(iteration):
    # Example equation: (iteration + 1) * 10
    return iteration*-0.005

def generate_json():
    data = {}
    for i in range(1, 101):  # Loop from 1 to 100
        effect_name = f"effect_{i}"
        equation_value = generate_equation(i)
        
        effect_data = {
            "condition": {
                "type": "origins:resource",
                "resource": "*:*_precent",
                "comparison": "==",
                "compare_to": str(i)
            },
            "type": "origins:conditioned_attribute",
            "modifier": {
                "attribute": "minecraft:generic.max_health",
                "operation": "multiply_total",
                "value": equation_value
            },
            "tick_rate": 60,
            "update_health": True
        }
        
        data[effect_name] = effect_data
    
    return data

# Generate JSON data
json_data = generate_json()

# Write JSON data to a file
with open("output.json", "w") as json_file:
    json.dump(json_data, json_file, indent=4)
